### Signal

# Gtk TreeView::row-expanded

since: 4.0

#### Declaration

    void
    row_expanded (
      GtkTreeView* self,
      GtkTreeIter* iter,
      GtkTreePath* path,
      gpointer user_data
    )

#### Description [src]

The given row has been expanded (child nodes are shown).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The tree iter of the expanded row.

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  A tree path that points to the row.

  The data is owned by the caller of the function.